<?php

namespace Akeneo\Component\SpreadsheetParser;

/**
 * Common interface for workbooks
 *
 * @author    Antoine Guigan <antoine@akeneo.com>
 * @copyright 2013 Akeneo SAS (http://www.akeneo.com)
 * @license   http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
interface WorkbookInterface
{
    /**
     * Returns an array containing all worksheet names
     *
     * The keys of the array should be the indexes of the worksheets
     *
     * @return array
     */
    public function getWorksheets();

    /**
     * Returns a row iterator for the current worksheet index
     *
     * @param int $worksheetIndex
     *
     * @return \Iterator
     */
    public function createRowIterator($worksheetIndex);

    /**
     * Returns a worksheet index by name
     *
     * @param string $name
     *
     * @return int
     */
    public function getWorksheetIndex($name);
}
